ru.bitel.bgbilling.modules.cerbercrypt.server.bean

## Class ChannelMappingManager

- java.lang.Object
- - ru.bitel.bgbilling.modules.cerbercrypt.server.bean.ChannelMappingManager

-     public class ChannelMappingManager
      extends java.lang.Object

  Менеджер маппинга каналов.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChannelMappingManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteChannelMappings(int channelId)`
    `void` | `deleteMapping(int id)`
    `ChannelMapping` | `findConflictMapping(ChannelMapping mapping)`
    `java.util.List<ChannelMapping>` | `getChannelMappingList(java.util.Date date)`
    `java.util.List<ChannelMapping>` | `getChannelMappingList(int channelId)`
    `ChannelMapping` | `getMappingById(int id)`
    `void` | `updateMapping(ChannelMapping mapping)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChannelMappingManager

          public ChannelMappingManager(java.sql.Connection con,
                                       int mid)

  - ### Method Detail

    - #### updateMapping

          public void updateMapping(ChannelMapping mapping)
                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getMappingById

          public ChannelMapping getMappingById(int id)
                                        throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getChannelMappingList

          public java.util.List<ChannelMapping> getChannelMappingList(int channelId)
                                                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getChannelMappingList

          public java.util.List<ChannelMapping> getChannelMappingList(java.util.Date date)
                                                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteMapping

          public void deleteMapping(int id)
                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteChannelMappings

          public void deleteChannelMappings(int channelId)
                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### findConflictMapping

          public ChannelMapping findConflictMapping(ChannelMapping mapping)
                                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`